﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<title>CuatroCuadros</title>
	<style>
	
	main{
		width:100vw;
		height:100hw;
		display:grid;
		justify-content: center;
		grid-template-columns:100px 100px;
		grid-template-rows:100px 100px;
		grid-template-areas:
			"rojo amarillo"
			"azul verde";
				
	}
	.rojo{
		background-color:maroon;
		grid-area: rojo;
		animation: girarojo 3s infinite alternate;

	}
	
	.azul{
		background-color:blue;
		grid-area: azul;
		animation: giraazul 3s infinite alternate;

	}
	
	.amarillo{
		background-color:yellow;
		grid-area: amarillo;
		animation: giraamarillo 3s infinite alternate;
	}
	
	.verde{
		background-color:olive;
		grid-area: verde;
		animation: giraverde 3s infinite alternate;
	}
	
	.texto{
		position:absolute;
		z-index:-1;
		left: 950px;
		top: 100px;
		font-weight:bold;
		font-size:xx-large;
	}
	
	@keyframes giraverde{
		0% {transform: rotate(0deg) ;}
		100% {transform:  translate(100px,0px) rotate(90deg);}
	}
	
	@keyframes girarojo{
		0% {transform: rotate(0deg) ;}
		100% {transform:  translate(-100px,0px) rotate(90deg);}
	}
	
	@keyframes giraamarillo{
		0% {transform: rotate(0deg) ;}
		100% {transform:  translate(100px,0px) rotate(-90deg);}
	}
	
	@keyframes giraazul{
		0% {transform: rotate(0deg) ;}
		100% {transform:  translate(-100px,0px) rotate(-90deg);}
	}

	</style>
</head>

<body>

<main>
	<div class="rojo"></div>
	<div class="amarillo"></div>
	<div class="azul"></div>
	<div class="verde"></div>
	<div align="center" class="texto">Hi!</div>
</main>
	
</body>

</html>
